%define languageenglazy Polish
%define languagecode    pl
%define lc_ctype        pl_PL

%define upstream_version 20240301

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ or GPL+ or MPLv1.1 or CC-BY-SA
Group:          System/Internationalization
URL:            https://sjp.pl/slownik/en/
Source0:        https://sjp.pl/slownik/ort/sjp-myspell-pl-%{upstream_version}.zip

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-pl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
unzip %{lc_ctype}.zip

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_pl_PL.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.20240301.1-2.mga10
+ Revision: 2224017
- Mageia 10 Mass Rebuild

* Mon Jun 03 2024 daviddavid <daviddavid> 0.20240301.1-1.mga10
+ Revision: 2069526
- new version: 20240301

* Mon Mar 21 2022 umeabot <umeabot> 0.20190119.1-3.mga9
+ Revision: 1811255
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.20190119.1-2.mga8
+ Revision: 1522200
- Mageia 8 Mass Rebuild

* Wed Jan 23 2019 zezinho <zezinho> 0.20190119.1-1.mga7
+ Revision: 1360195
- new version 20190119

* Thu Sep 20 2018 umeabot <umeabot> 0.20180331.1-2.mga7
+ Revision: 1278850
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 0.20180331.1-1.mga7
+ Revision: 1213769
- Update to release 20180331

* Mon Feb 08 2016 umeabot <umeabot> 0.20130925.1-5.mga6
+ Revision: 943443
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20130925.1-4.mga5
+ Revision: 739677
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20130925.1-3.mga5
+ Revision: 680291
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 0.20130925.1-2.mga4
+ Revision: 536959
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.20130925.1-1.mga4
+ Revision: 486024
- New version: 0.20130925.1

* Sat Jan 12 2013 umeabot <umeabot> 0.20120912.1-2.mga3
+ Revision: 353649
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 0.20120912.1-1.mga3
+ Revision: 344475
- sync version with Fedora: 0.20120912.1
- update license

* Tue Mar 20 2012 kamil <kamil> 0.20110708.1-5.mga2
+ Revision: 224805
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20110708.1-4.mga2
+ Revision: 209052
- use better obsoleting of myspell

* Tue Jan 17 2012 kamil <kamil> 0.20110708.1-3.mga2
+ Revision: 197135
- adapt .spec to the current policies

* Fri Jul 08 2011 ahmad <ahmad> 0.20110708.1-2.mga2
+ Revision: 120166
- Update to 20110708

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20101221.1-2.mga1
+ Revision: 69029
- imported package hunspell-pl


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20101221-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Caolán McNamara <caolanm@redhat.com> - 0.20101221-1
- latest version

* Thu Oct 28 2010 Caolán McNamara <caolanm@redhat.com> - 0.20101028-1
- latest version

* Fri Sep 24 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100924-1
- latest version

* Mon Aug 23 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100823-1
- latest version

* Tue Jul 20 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100720-1
- latest version

* Sat Jun 19 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100619-1
- latest version

* Wed May 19 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100519-1
- latest version

* Mon Apr 19 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100419-1
- latest version

* Fri Mar 19 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100319-1
- latest version

* Thu Feb 18 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100218-1
- latest version

* Mon Jan 18 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100118-1
- latest version

* Thu Dec 17 2009 Caolán McNamara <caolanm@redhat.com> - 0.20091217-1
- latest version

* Tue Nov 17 2009 Caolán McNamara <caolanm@redhat.com> - 0.20091117-1
- latest version

* Tue Sep 08 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090908-1
- latest version

* Sat Aug 08 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090808-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090708-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 08 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090708-1
- latest version

* Mon Jun 08 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090608-1
- latest version

* Sun Apr 19 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090419-1
- latest version

* Sun Mar 15 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090315-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090215-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090215-1
- latest version

* Wed Jan 14 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090114-1
- latest version

* Sat Aug 23 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080823-1
- latest version

* Tue Jul 15 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080715-1
- latest version

* Sat Jun 14 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080614-1
- latest version

* Tue May 13 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080513-1
- latest version

* Mon Apr 07 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080407-1
- latest version

* Tue Mar 04 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080304-1
- source file name changed, update to latest version

* Wed Feb 13 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080213-1
- new version

* Wed Jan 09 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080109-1
- new version

* Sat Dec 08 2007 Caolán McNamara <caolanm@redhat.com> - 0.20071208-1
- new version

* Thu Nov 15 2007 Caolán McNamara <caolanm@redhat.com> - 0.20071114-1
- new version

* Fri Oct 05 2007 Caolán McNamara <caolanm@redhat.com> - 0.20071004-1
- new version

* Mon Sep 03 2007 Caolán McNamara <caolanm@redhat.com> - 0.20070903-1
- new version

* Thu Aug 09 2007 Caolán McNamara <caolanm@redhat.com> - 0.20070803-1
- clarify that is tri-licensed

* Sun Jul 01 2007 Caolán McNamara <caolanm@redhat.com> - 0.20070701-1
- latest version
- near daily updates => move to a pick it up the 1st of the month cycle

* Fri Jun 29 2007 Caolán McNamara <caolanm@redhat.com> - 0.20070629-1
- latest version

* Fri Jun 22 2007 Caolán McNamara <caolanm@redhat.com> - 0.20070622-1
- latest version
